maven-processor-plugin - 2.2.4

##### Overview

- Summary
- Goals
- Usage

##### Summary

- Dependencies
- Source

## processor:process-test

Full name:

org.bsc.maven:maven-processor-plugin:2.2.4:process-test

Description:

(no description)

Attributes:

- Requires a Maven project to be executed.
- Requires dependency resolution of artifacts in scope: `test`.
- The goal is thread-safe and supports parallel builds.
- Binds by default to the lifecycle phase: `generate-test-sources`.

### Required Parameters

Name | Type | Since | Description
--- | --- | --- | ---
defaultOutputDirectory | `File` | `-` | (no description) Default value is: `${project.build.directory}/generated-sources/apt-test`.
failOnError | `Boolean` | `-` | Indicates whether the build will continue even if there are compilation errors; defaults to true. Default value is: `true`. User property is: `annotation.failOnError`.
outputDiagnostics | `boolean` | `-` | Indicates whether the compiler output should be visible, defaults to true. Default value is: `true`. User property is: `annotation.outputDiagnostics`.
sourceDirectory | `File` | `-` | (no description) Default value is: `${project.build.testSourceDirectory}`.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
addCompileSourceRoots | `boolean` | `2.1.1` | if true add to the source directory of the annotation processor all compile source roots detected int the project This is useful when we plan to use build-helper-maven-plugin Default value is: `false`.
addOutputDirectoryToCompilationSources | `Boolean` | `-` | Controls whether or not the output directory is added to compilation
additionalSourceDirectories | `List` | `-` | additional source directories for the annotation processors.
appendSourceArtifacts | `boolean` | `2.2.0` | append source artifacts to sources list Default value is: `false`.
compilerArguments | `String` | `-` | Additional compiler arguments
encoding | `String` | `2.2.1` | The character set used for decoding sources User property is: `project.build.sourceEncoding`.
excludes | `String[]` | `-` | excludes pattern
includes | `String[]` | `-` | includes pattern
optionMap | `Map` | `-` | Additional processor options (see javax.annotation.processing.ProcessingEnvironment#getOptions()
outputClassDirectory | `File` | `-` | Set the destination directory for class files (same behaviour of -d option) Default value is: `${project.build.testOutputDirectory}`.
outputDirectory | `File` | `-` | Specify the directory where to place generated source files (same behaviour of -s option)
processors | `String[]` | `-` | Annotation Processor FQN (Full Qualified Name) - when processors are not specified, the default discovery mechanism will be used
systemProperties | `Map` | `-` | System properties set before processor invocation.

### Parameter Details

addCompileSourceRoots:

if true add to the source directory of the annotation processor all compile source roots detected int the project This is useful when we plan to use build-helper-maven-plugin

- Type: `boolean`
- Since: `2.1.1`
- Required: `No`
- Default: `false`

addOutputDirectoryToCompilationSources:

Controls whether or not the output directory is added to compilation

- Type: `java.lang.Boolean`
- Required: `No`

additionalSourceDirectories:

additional source directories for the annotation processors.

- Type: `java.util.List`
- Required: `No`

appendSourceArtifacts:

append source artifacts to sources list

- Type: `boolean`
- Since: `2.2.0`
- Required: `No`
- Default: `false`

compilerArguments:

Additional compiler arguments

- Type: `java.lang.String`
- Required: `No`

defaultOutputDirectory:

(no description)

- Type: `java.io.File`
- Required: `Yes`
- Default: `${project.build.directory}/generated-sources/apt-test`

encoding:

The character set used for decoding sources

- Type: `java.lang.String`
- Since: `2.2.1`
- Required: `No`
- User Property: `project.build.sourceEncoding`

excludes:

excludes pattern

- Type: `java.lang.String[]`
- Required: `No`

failOnError:

Indicates whether the build will continue even if there are compilation errors; defaults to true.

- Type: `java.lang.Boolean`
- Required: `Yes`
- User Property: `annotation.failOnError`
- Default: `true`

includes:

includes pattern

- Type: `java.lang.String[]`
- Required: `No`

optionMap:

Additional processor options (see javax.annotation.processing.ProcessingEnvironment#getOptions()

- Type: `java.util.Map`
- Required: `No`

outputClassDirectory:

Set the destination directory for class files (same behaviour of -d option)

- Type: `java.io.File`
- Required: `No`
- Default: `${project.build.testOutputDirectory}`

outputDiagnostics:

Indicates whether the compiler output should be visible, defaults to true.

- Type: `boolean`
- Required: `Yes`
- User Property: `annotation.outputDiagnostics`
- Default: `true`

outputDirectory:

Specify the directory where to place generated source files (same behaviour of -s option)

- Type: `java.io.File`
- Required: `No`

processors:

Annotation Processor FQN (Full Qualified Name) - when processors are not specified, the default discovery mechanism will be used

- Type: `java.lang.String[]`
- Required: `No`

sourceDirectory:

(no description)

- Type: `java.io.File`
- Required: `Yes`
- Default: `${project.build.testSourceDirectory}`

systemProperties:

System properties set before processor invocation.

- Type: `java.util.Map`
- Required: `No`